Limerence
Google chat

Update Google Chat Config

Update Google Chat configuration

PATCH
/google-chat/config/{id}

Update Google Chat configuration

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/google-chat/config/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "config": {    "agent": {      "id": "string",      "name": "string"    },    "connectedBy": {      "email": null,      "name": "string"    },    "createdAt": "string",    "enabled": true,    "id": "string"  }}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "google-chat/not-found",    "detail": "Config not found or you do not have access."  },  "message": "Google Chat config not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}